So I'm trying to install Mongrel (I'm running Fedora 8) by using gems...
and here's what I get:

[js@localhost ~]$ sudo gem install mongrel
Password:
Select which gem to install for your platform (i386-linux)
 1. mongrel 1.1.3 (java)
 2. mongrel 1.1.3 (i386-mswin32)
 3. mongrel 1.1.3 (ruby)
 4. mongrel 1.1.2 (ruby)
 5. mongrel 1.1.2 (mswin32)
 6. mongrel 1.1.2 (java)
 7. Skip this gem
 8. Cancel installation
> 3
Install required dependency fastthread? [Yn]  Y
Select which gem to install for your platform (i386-linux)
 1. fastthread 1.0.1 (mswin32)
 2. fastthread 1.0.1 (i386-mswin32)
 3. fastthread 1.0.1 (ruby)
 4. Skip this gem
 5. Cancel installation
> 3
Building native extensions.  This could take a while...
ERROR:  While executing gem ... (Gem::Installer::ExtensionBuildError)
    ERROR: Failed to build gem native extension.

ruby extconf.rb install mongrel
can't find header files for ruby.


Gem files will remain installed in
/usr/lib/ruby/gems/1.8/gems/fastthread-1.0.1 for inspection.
Results logged to
/usr/lib/ruby/gems/1.8/gems/fastthread-1.0.1/ext/fastthread/gem_make.out


I don't even know what the heck to do at this point.  I also get a
strange error from Netbeans that says that my "Gem directory is not
writable as this user. Either install your gems elsewhere by setting
$GEM_HOME to an alternative (and writable) directory before launching
Netbeans, or run as root, or manually change the gem directory file
permissions, or build your own Ruby installation with user permissions."

Any help would be fantastic.  I've been developing a project on a
Windows machine, and I'm trying to continue development on my Linux box
(should be a simple process, right?)  I can't believe I'm saying this,
but using a Linux box has been significantly more hassle to get rolling
right.

Thanks ahead of time! :)
-- 
Posted via http://www.ruby-forum.com/.